// Espessura
$width-none: 0;
$width-sm: 1px;
$width-md: 2px;
$width-lg: 4px;

$widths: (
  width-none: $width-none,
  width-sm: $width-sm,
  width-md: $width-md,
  width-lg: $width-lg,
);

// Bordas
$border-solid-none: var(--surface-width-none) solid var(--border-color);
$border-solid-sm: var(--surface-width-sm) solid var(--border-color);
$border-solid-md: var(--surface-width-md) solid var(--border-color);
$border-solid-lg: var(--surface-width-lg) solid var(--border-color);
$border-dashed-none: var(--surface-width-none) dashed var(--border-color);
$border-dashed-sm: var(--surface-width-sm) dashed var(--border-color);
$border-dashed-md: var(--surface-width-md) dashed var(--border-color);
$border-dashed-lg: var(--surface-width-lg) dashed var(--border-color);

$borders: (
  border-solid-none: $border-solid-none,
  border-solid-sm: $border-solid-sm,
  border-solid-md: $border-solid-md,
  border-solid-lg: $border-solid-lg,
  border-dashed-none: $border-dashed-none,
  border-dashed-sm: $border-dashed-sm,
  border-dashed-md: $border-dashed-md,
  border-dashed-lg: $border-dashed-lg,
);

// Cantos
$rounder-none: 0;
$rounder-sm: 4px;
$rounder-md: 8px;
$rounder-lg: 16px;
$rounder-pill: 999em;

$rounders: (
  rounder-none: $rounder-none,
  rounder-sm: $rounder-sm,
  rounder-md: $rounder-md,
  rounder-lg: $rounder-lg,
  rounder-pill: $rounder-pill,
);

// Scrim Foco
$overlay-scrim: rgba(var(--pure-100-rgb), var(--surface-opacity-md));

// Scrim Legibilidade
$overlay-text: linear-gradient(rgba(var(--pure-0-rgb), var(--surface-opacity-none)),
rgba(var(--pure-100-rgb), var(--surface-opacity-default)));
